% dgl_pendelmass.m
% Kapitel 4.1.2
% Lsung der DAE des Pendels mit Masse-Matrix
set(0,'DefaultLineLineWidth',[1.0]);

% Daten, Anfangswerte, Zeitspanne, Optionen
l = 5;  m0 = 30; g = 9.81; Fr = 4; T =15;
x0 = [15/360*2*pi; 0];
tspan = [0 20]; options = odeset('Mass', @mass);
% Integration der DGL
[t x] = ode15s(@xpunkt_pendelmass,tspan,x0,options,l,m0,g,Fr,T);
% grafische Ausgabe von phi und phipunkt
phi = x(:,1); phipunkt = x(:,2);
subplot(211)
plot(t,phi,t,phipunkt)
axis([0 20 -0.4 0.4])
grid on
xlabel('Zeit [s]');title('Pendelbewegung')
legend('phi [rad]','phipunkt [rad/s]',4)
% grafische Ausgabe Masseverlauf
subplot(212)
plot(t,m0*exp(-t/T))
axis([0 20 0 30])
grid on
xlabel('Zeit [s]');title('Masseverlauf m(t)')

% print -depsc dgl_pendelmass.eps
