% dgl_pendelwand.m
% Kapitel 4.1.1
% Lsung der DGL fr das an die Wand stoende Pendel
set(0,'DefaultLineLineWidth',[1.0]);

l = 5; m = 30; g = 9.81; Fr = 4;  % Geometrie, Masse, Reibung
% Anfangswerte, Zeitspanne, Optionen
x0 = [15/360*2*pi; 0]; tend = 20; tspan = [0 tend];
options = odeset('Events',@ereignis);
t = []; x = [];   % Variablen zur Akkumulation von t und x
while 1           % Beginn Schleife
  % Lsung bis zum ersten Ereignis
  [tout xout] = ode45(@xpunkt_pendelwand,tspan,x0,options,l,m,g,Fr);
  n = length(tout);
  t = [t; tout];  % Akkumulation von t und x
  x = [x; xout];
  x0 = [0; -xout(n,2)]; % neue Anfangswerte setzen
  tstart = tout(n);     % neuen Startzeitpunkt setzen
  tspan = [tstart tend];
  if tstart>=tend       % Abbruch, wenn Endzeit erreicht
    break
  end
end
% grafische Ausgabe von phi und phipunkt
phi = x(:,1); phipunkt = x(:,2);
subplot(211); plot(t,phi,t,phipunkt)
axis([0 20 -0.5 0.4])
grid on
xlabel('Zeit [s]');title('Pendelbewegung')
legend('phi [rad]','phipunkt [rad/s]',4)

% print -depsc ode_pendelwand_plot.eps
